Page 3 of 4 FirstFirst 1234 LastLast
Results 21 to 30 of 34

Thread: Canon Pixma mp640 wireless

  1. #21
    Join Date
    Jul 2010
    Beans
    4

    Re: Canon Pixma mp640 wireless

    Did you install ScanGear?
    Maybe you have to update your SANE drivers. There are PPAs available for that. (installation instructions e.g. here)
    For me both scanning (ScanGear and SANE) and printing works.

  2. #22
    Join Date
    Dec 2005
    Beans
    8

    Re: Canon Pixma mp640 wireless

    Quote Originally Posted by GartenEden View Post
    Did you install ScanGear?
    Maybe you have to update your SANE drivers. There are PPAs available for that. (installation instructions e.g. here)
    For me both scanning (ScanGear and SANE) and printing works.
    The install instructions from "GartenEden" above are excellent. Download the files he references from the Europe site link and once you unpack them, click on the install icon within each folder and it autoinstalls. No sudko necessary in terminal.

  3. #23
    Join Date
    Jul 2009
    Beans
    2

    Re: Canon Pixma mp640 wireless

    It is also possible to use the install.sh script in the canon debain package with amd64 by modifying a single line in the script. With this modification you can use the setup program that searches and installs the printer.

    1. modify the line with 'dpkg -iG' to 'dpkg -iG --force architecture' in install.sh
    2. run the script with sudo ./install.sh

    A first simple test print worked in ubuntu 10.04 but I didn't check what printer driver options are available (ppd file seems to need some additions).

  4. #24
    Join Date
    Mar 2006
    Beans
    12

    Re: Canon Pixma mp640 wireless

    I did a two day research and 4 hour work to make the Pixma 620 online and
    printing over Wlan network. Euphoria is quite near what I'm feeling just now.

  5. #25
    Join Date
    Nov 2009
    Beans
    12

    Re: Canon Pixma mp640 wireless

    Okay, I just updated to 11.04 64bit. When I had 10.10 64bit it was was pretty easy for me to install. I just had to do this basically.
    Code:
    sudo dpkg -i --force architecture ./cnijfilter-common_3.20-1_i386.deb
    sudo dpkg -i --force architecture ./cnijfilter-mp640series_3.20-1_i386.deb
    Now when I try to do that I get soo many dependencies that say I need to have libc6 (>= 2.3.4-1) So i went though and did
    sudo apt-get install for all of the ones that it says I need but they are all up to date, so I don't really know what the problem is.

    This is what happens:
    Code:
    dpkg: warning: overriding problem because --force enabled:
     package architecture (i386) does not match system (amd64)
    (Reading database ... 127962 files and directories currently installed.)
    Preparing to replace cnijfilter-common:i386 3.20-1 (using .../cnijfilter-common_3.20-1_i386.deb) ...
    Unpacking replacement cnijfilter-common:i386 ...
    dpkg: dependency problems prevent configuration of cnijfilter-common:i386:
     cnijfilter-common:i386 depends on libc6 (>= 2.3.4-1).
     cnijfilter-common:i386 depends on libcupsys2 (>= 1.2.1) | libcups2.
     cnijfilter-common:i386 depends on libpopt0 (>= 1.7).
    dpkg: error processing cnijfilter-common:i386 (--install):
     dependency problems - leaving unconfigured
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Errors were encountered while processing:
     cnijfilter-common:i386

  6. #26
    Join Date
    Apr 2006
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: Canon Pixma mp640 wireless

    Messed around with this for ages on my 11:04 64 bit machine. All sorts of dependency issues. Eventually I found this page, which describes a PPA that sorted the print side out in a couple of copy and paste actions:

    http://www.ubuntubuzz.com/2011/06/do...er-driver.html

  7. #27
    Join Date
    Jan 2011
    Location
    Toe-puke-uh, Kansas, USA
    Beans
    156
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Canon Pixma mp640 wireless

    Quote Originally Posted by mal205 View Post
    Messed around with this for ages on my 11:04 64 bit machine. All sorts of dependency issues. Eventually I found this page, which describes a PPA that sorted the print side out in a couple of copy and paste actions:

    http://www.ubuntubuzz.com/2011/06/do...er-driver.html
    WOW! This worked! I now have a fully functioning Ubuntu 11.04 Toshiba laptop and wireless Canon printer.

    Gawd, I love this place!

  8. #28
    Join Date
    Nov 2008
    Location
    Oita, Japan
    Beans
    421
    Distro
    Ubuntu

    Re: Canon Pixma mp640 wireless

    Any ideas for a Pixus MP460?

    I've seen discussion of the Pixma 460 working with the Pixma 160 driver.

    The Pixus 460 and Pixma 460 look identical so I think it's just a naming issue (pixus in japan, pixma everywhere else?)

  9. #29
    Join Date
    Sep 2009
    Beans
    220

    Re: Canon Pixma mp640 wireless

    hi all, i have tried removing dependencies on 64 bit and it still sucks and i can't get it to install. unsure what to do. any help?

  10. #30
    Join Date
    Jan 2012
    Beans
    18

    Re: Canon Pixma mp640 wireless

    The problem with using a repository like that is you don't know if they can be trusted. HP is really the way to go with printers as they make ones which are completely free software compatible. You can check out their driver web site for a list. Look at where it says firmware required or not and plug-in required or not. You don't want either.

    http://www.thinkpenguin.com/ also sells the free software ones. Can't be easier than this.

Page 3 of 4 FirstFirst 1234 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •